Filter Bundle on Windows 10 Version or Build AND Edition

Is there a way to filter a bundle to be valid only on Windows 10 Build 17134 (= Version 1803 or to all Window 10 Versions < Build (= Version 1803)

I know (and voted) to the enhancement request - but I cannot wait until that will be implemented in far future.

I already tested without success the filter: "Operating System - Windows" "Version" "=" "10.0.17134" (manually added)

thanks Klaus

Tags:

  • BachmannK;2482492 wrote:
    Is there a way to filter a bundle to be valid only on Windows 10 Build 17134 (= Version 1803 or to all Window 10 Versions < Build (= Version 1803)

    I know (and voted) to the enhancement request - but I cannot wait until that will be implemented in far future.

    I already tested without success the filter: "Operating System - Windows" "Version" "=" "10.0.17134" (manually added)

    thanks Klaus


    Have you tried "Registry Key Value" requirment ( https://www.novell.com/documentation/zenworks114/zen11_cm_software_distribution/data/bh5lump.html ) against HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion ?

    Thomas
  • Set a System Requirement for Windows 10 and
    The value of "\HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion,Release ID" to be less than 1803
  • Hi Klaus,

    With 2017 U3, you should be able to configure each windows versions from the Operating System -Windows versions drop down.

    Supported List

    10.0 - Windows 10 / Windows Server 10 Versions
    10.0.1507 - Windows 10 Version 1507
    10.0.1511 - Windows 10 Version 1511
    10.0.1607 - Windows 10 / Windows Server 10 Version 1607
    10.0.1703 - Windows 10 Version 1703
    10.0.1709 - Windows 10 Version 1709
    10.0.1803 - Windows 10 Version 1803

    Note: As of today, the list only supports up to 1803 version. The plan is to support newly released windows 10 version in the subsequent ZENworks releases.
  • CRAIGDWILSON;2482497 wrote:
    Set a System Requirement for Windows 10 and
    The value of "\HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion,Release ID" to be less than 1803


    Hi Craig,

    This method works fine for me.

    ZENworks 2017 Update 2.

    I can now filter on build 1803 and 1809 based on your requirement.

    Kr,


    Joeri